%global srcname p1_pam
# The Fedora Erlang convention is to avoid separating the debug symbols:
# https://fedoraproject.org/wiki/User:Peter/Erlang_Packaging_Guidelines
%global debug_package %{nil}


Name:       erlang-%{srcname}
Version:    1.0.0
Release:    2%{?dist}

Summary:    Library for ejabberd for PAM authentication support
License:    GPLv2
URL:        https://github.com/processone/epam/
Source0:    https://github.com/processone/epam/archive/%{version}.tar.gz
# Load epam from this package rather than from ejabberd.
# See https://bugzilla.redhat.com/show_bug.cgi?id=1337216
Patch0:     0001-Load-epam-from-the-package-s-own-path-rather-than-ej.patch

BuildRequires: erlang-rebar
BuildRequires: pam-devel


%description
An Erlang library for ejabberd that helps with PAM authentication.


%prep
%setup -q -n epam-%{version}

%patch0 -p1


%build
%{erlang_compile}


%install
%{erlang_install}

install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/bin
install -pm755 priv/bin/epam $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/bin/


%files
%license COPYING
%doc README.md
%{erlang_appdir}/


%changelog
* Sun May 22 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-2
- Patch to load epam from this package rather than ejabberd (#1337216).
- Convert this package to use the new erlang macros.

* Wed Feb 17 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-1
- Raise to version 1.0.0.

* Fri Jan 01 2016 Randy Barlow <rbarlow@redhat.com> - 0-1.20150223gitd3ce290b
- Initial release.
